Self-serve contractor payments
Self Serve Update Company Info
Updates org name, registration country, timezone, contractor estimate and primary stablecoin after a sanctions check.
POSThttps://api.toku.com/hris/self-serve-update-company-info
Not available to API keys yet. It will need organization:write.
curl --request POST \
--url 'https://api.toku.com/hris/self-serve-update-company-info' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"orgName": "string",
"registrationCountry": "string",
"timezone": "string",
"estimatedContractorCount": 0,
"primaryStablecoin": "USDC"
}'200 response
{
"success": true
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
orgNamestringrequiredAllowed: at least 2 characters
registrationCountrystringrequiredAllowed: 2 to 2 characters
timezonestringrequiredAllowed: at least 1 characters
estimatedContractorCountintegerrequiredAllowed: 1 to 10000
primaryStablecoinstringrequiredAvailable options: USDC, USDT
Response
200Successful response
successboolean400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits